Package org.eclipse.e4.ui.css.swt.helpers

# Class EclipsePreferencesHelper

java.lang.Object
org.eclipse.e4.ui.css.swt.helpers.EclipsePreferencesHelper

public class EclipsePreferencesHelper extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`EclipsePreferencesHelper.PreferenceOverriddenByCssChangeListener`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROPS_OVERRIDDEN_BY_CSS_PROP`
`static final String`
`SEPARATOR`

## Constructor Summary

Constructors
Constructor
Description
`EclipsePreferencesHelper()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`appendOverriddenPropertyName(IEclipsePreferences preferences, String name)`
`static List<String>`
`getOverriddenPropertyNames(IEclipsePreferences preferences)`
`static IEclipsePreferences.IPreferenceChangeListener`
`getPreferenceChangeListener()`
`static boolean`
`isThemeChanged()`
`static void`
`removeOverriddenByCssProperty(IEclipsePreferences preferences, String preferenceToRemove)`
`static void`
`removeOverriddenPropertyNames(IEclipsePreferences preferences)`
`static void`
`setCurrentThemeId(String themeId)`
`static void`
`setPreviousThemeId(String themeId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROPS_OVERRIDDEN_BY_CSS_PROP

public static final String PROPS_OVERRIDDEN_BY_CSS_PROP

See Also:
  - Constant Field Values

### SEPARATOR

public static final String SEPARATOR

See Also:
  - Constant Field Values

## Constructor Details

### EclipsePreferencesHelper

public EclipsePreferencesHelper()

## Method Details

### appendOverriddenPropertyName

public static void appendOverriddenPropertyName(IEclipsePreferences preferences, String name)

### getPreferenceChangeListener

public static IEclipsePreferences.IPreferenceChangeListener getPreferenceChangeListener()

### getOverriddenPropertyNames

public static List<String> getOverriddenPropertyNames(IEclipsePreferences preferences)

### removeOverriddenPropertyNames

public static void removeOverriddenPropertyNames(IEclipsePreferences preferences)

### removeOverriddenByCssProperty

public static void removeOverriddenByCssProperty(IEclipsePreferences preferences, String preferenceToRemove)

### setPreviousThemeId

public static void setPreviousThemeId(String themeId)

### setCurrentThemeId

public static void setCurrentThemeId(String themeId)

### isThemeChanged

public static boolean isThemeChanged()